/* Micro Java: Interface for VM<->UI interaction (mah 99-5-10)
   =============================================
*/
package MJ.VM;

import java.io.*;

// callback methods for VM to notify user interface
interface inOutVM {
  void print (byte b) throws IOException; // tells UI to generate output
  byte read () throws IOException;  // asks UI for the next byte of input
  void stopped (boolean error); // VM has stopped. error=true => abnormal abort
}